> For the complete documentation index, see [llms.txt](https://docs.tebex.io/developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tebex.io/developers/headless-api/guides/tiers/get-active-tier.md).

# Get Active Tier

Provide a `usernameId` as a query parameter to `/categories` to check for an `active_tier` .&#x20;

{% hint style="info" %}
This will be the `usernameId` provided by the basket when created with a valid username.
{% endhint %}

```
GET /api/accounts/categories?usernameId=123456789
```

`active_tier` will be a parameter returned with the `Category` object if the user has an active tier for that category.

```json
"active_tier": {
    "id": 40796,
    "created_at": "2025-05-14T13:48:56.000000Z",
    "username_id": "text",
    "package": {
      "id": 6276316,
      "name": "test package 101",
      "description": "<p>this is just a test. only a test. nothing more.</p>",
      "image": null,
      "type": "single",
      "category": {
        "id": 2678660,
        "name": "Packages"
      },
      "base_price": 5,
      "sales_tax": 0,
      "total_price": 5,
      "currency": "USD",
      "prorate_price": 1,
      "discount": 0,
      "disable_quantity": false,
      "disable_gifting": false,
      "expiration_date": null,
      "media": [],
      "order": 1,
      "slug": "text",
      "user_limit": 1,
      "creator_meta_data": {},
      "options": [],
      "variables": [],
      "created_at": "2024-05-21T18:09:17+00:00",
      "updated_at": "2024-05-21T18:09:17+00:00"
    },
    "active": true,
    "recurring_payment_reference": "tbx-r-757925142",
    "next_payment_date": "2025-06-14T13:48:56+00:00",
    "status": {
      "id": 2,
      "description": "Active"
    },
    "pending_downgrade_package": {
      "id": 6834820,
      "name": "Bronze"
    }
  },
  "description": "text",
  "packages": [
    {
      "id": 6276316,
      "name": "test package 101",
      "description": "<p>this is just a test. only a test. nothing more.</p>",
      "image": null,
      "type": "single",
      "category": {
        "id": 2678660,
        "name": "Packages"
      },
      "base_price": 5,
      "sales_tax": 0,
      "total_price": 5,
      "currency": "USD",
      "prorate_price": 1,
      "discount": 0,
      "disable_quantity": false,
      "disable_gifting": false,
      "expiration_date": null,
      "media": [],
      "order": 1,
      "slug": "text",
      "user_limit": 1,
      "creator_meta_data": {},
      "options": [],
      "variables": [],
      "created_at": "2024-05-21T18:09:17+00:00",
      "updated_at": "2024-05-21T18:09:17+00:00"
    }
  ],
  "order": 1,
  "display_type": "list",
  "image_url": null,
  "dynamic": false
}
```
